from __future__ import division
from visual import *

#constants and initial conditions
hf=  #m elevation for Mt. Mitchell
h=   #m for High Point
dh=1 #m step size
E=160 #MeV total energy of muon
Erest=106 #MeV rest energy of muon
gamma=1.5 # E/Erest 
h0=8400 #m approximate edge of atmosphere
rho0=1.23E-3 #g/cm^3 density of air at sea level
C0=2 #MeV/(g/cm^2) a constant related to energy loss of a muon traveling in air
c=3E8 #m/s  speed of light
t=0

#lists to store data
rhoList=[]
hList=[]

#calculate density of air, delta gamma, gamma, and dt; then change the height and energy and repeat
while h<hf:
    rho=rho0*exp(-h/h0) #g/cm^3
    rhoList.append(rho/rho0)
    hList.append(h)
#    deltaE=   #MeV  you should uncomment this line and fill in the equation using constants defined above
    deltaGamma=deltaE/Erest
    gamma=E/Erest
#    dt=      #seconds    you should uncomment this line and fill in the equation using constants defined above
    t=t+dt
    h=h+dh
    E=E+deltaE

#print final altitude, the total transit time in the muon frame, and the energy at this altitude
print(h,t,E)

#lifetime (free space value)
tau=2.2E-6 #seconds

#transit time divided by lifetime
ratio=t/tau
print ratio